GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_secure_transport_setup Struct Reference

## Data Fields
grpc_security_connector * | connector
tsi_handshaker * | handshaker
unsigned char * | handshake_buffer
size_t | handshake_buffer_size
grpc_endpoint * | wrapped_endpoint
grpc_endpoint * | secure_endpoint
gpr_slice_buffer | left_overs
grpc_secure_transport_setup_done_cb | cb
void * | user_data

## Field Documentation

grpc_secure_transport_setup_done_cb grpc_secure_transport_setup::cb

grpc_security_connector* grpc_secure_transport_setup::connector

unsigned char* grpc_secure_transport_setup::handshake_buffer

size_t grpc_secure_transport_setup::handshake_buffer_size

tsi_handshaker* grpc_secure_transport_setup::handshaker

gpr_slice_buffer grpc_secure_transport_setup::left_overs

grpc_endpoint* grpc_secure_transport_setup::secure_endpoint

void* grpc_secure_transport_setup::user_data

grpc_endpoint* grpc_secure_transport_setup::wrapped_endpoint

The documentation for this struct was generated from the following file:

- src/core/security/secure_transport_setup.c